Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEnginesManager.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEnginesManager.java	(revision 784)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEnginesManager.java	(revision 785)
@@ -46,8 +46,7 @@
 
 	@Override
 	public EngineType getEnginesType() {
-		// TODO Auto-generated method stub
-		return null;
+		return EngineType.CHARTS;
 	}
 
 }
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 784)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 785)
@@ -211,6 +211,7 @@
 	 * Creates and stores charts engines from installed extension contributions.
 	 * @param outputFormat
 	 */
+	@Deprecated
 	public static void createChartsEngines()	{
 
 		Log.finest("Looking for charts engines contributions with extension point id " + ChartsEngine.EXTENSION_POINT_ID + ".");
@@ -238,6 +239,7 @@
 	 * Gets the current charts engine.
 	 * @return the current charts engine
 	 */
+	@Deprecated
 	public static ChartsEngine getCurrent()	{
 		return ChartsEngine.chartsEngines.get(ChartsEngine.currentChartsEngineIndex);
 	}
@@ -246,6 +248,7 @@
 	 * Sets the current charts engine according to its internal name. 
 	 * @param name the name of the charts engine to set as current
 	 */
+	@Deprecated
 	public static void setCurrrentChartsEngine(String name)	{
 		for(int i = 0; i < ChartsEngine.chartsEngines.size(); i++) {
 			if(chartsEngines.get(i).getName().equals(name))	{
@@ -261,6 +264,7 @@
 	 * @param type
 	 * @return the installed charts engine according to its class type if it exists otherwise null
 	 */
+	@Deprecated
 	public static ChartsEngine getChartsEngine(Class type)	{
 		ChartsEngine chartsEngine = null;
 		for(int i = 0; i < ChartsEngine.chartsEngines.size(); i++) {
@@ -277,6 +281,7 @@
 	 * @param outputFormat
 	 * @return
 	 */
+	@Deprecated
 	public static ChartsEngine getChartsEngine(String outputFormat)	{
 		ChartsEngine chartsEngine = null;
 		for(int i = 0; i < ChartsEngine.chartsEngines.size(); i++) {
@@ -294,6 +299,7 @@
 	 * @param type
 	 * @return the installed charts engine according to its name if it exists otherwise null
 	 */
+	@Deprecated
 	public static ChartsEngine getChartsEngineByName(String name)	{
 		ChartsEngine chartsEngine = null;
 		for(int i = 0; i < ChartsEngine.chartsEngines.size(); i++) {
@@ -310,6 +316,7 @@
 	 * @param result
 	 * @return
 	 */
+	@Deprecated
 	public static ChartsEngine getChartsEngine(ChartResult result)	{
 		ChartsEngine chartsEngine = null;
 		for (int i = 0; i < ChartsEngine.chartsEngines.size(); i++) {
@@ -326,6 +333,7 @@
 	 * Returns the installed charts engine contributions.
 	 * @return
 	 */
+	@Deprecated
 	public static ArrayList<ChartsEngine> getChartsEngines()	{
 		return ChartsEngine.chartsEngines;
 	}
Index: tmp/org.txm.core/src/java/org/txm/core/engines/EnginesManager.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/engines/EnginesManager.java	(revision 784)
+++ tmp/org.txm.core/src/java/org/txm/core/engines/EnginesManager.java	(revision 785)
@@ -75,8 +75,8 @@
 
 		IConfigurationElement[] contributions = RegistryFactory.getRegistry().getConfigurationElementsFor(engineExtensionPointId);
 
-		Log.finest("Looking for engines contributions with extension point id " + engineExtensionPointId + ".");
-		Log.finest(contributions.length + " engines found.");
+		Log.finest("Looking for engines contributions with extension point id " + engineExtensionPointId + "."); //$NON-NLS-1$
+		Log.finest(contributions.length + " engines found."); //$NON-NLS-1$
 		
 		for (int i = 0; i < contributions.length; i++) {
 			try {
@@ -88,7 +88,7 @@
 					this.engines.put(e.getName(), e);
 				}
 				else {
-					System.err.println("Failed to initialize " + e.getName() + " engine.");
+					Log.severe("Failed to initialize " + e.getName() + " engine.");
 				}
 			} catch(Exception e) {
 				Log.severe("Error: failed to instantiate " + contributions[i].getName() + ".");
@@ -108,7 +108,7 @@
 		for (Engine engine : this.engines.values()) {
 			
 			String log = "Starting " + engine.getName() + " engine...";
-			Log.finest(log);
+			Log.info(log);
 			
 			if (monitor != null) {
 				monitor.subTask(log);
@@ -131,7 +131,7 @@
 	public boolean stopEngines() {
 		for (Engine engine : this.engines.values()) {
 			
-			Log.finest("Stopping " + engine.getName() + " engine...");
+			Log.finest("Stopping " + engine.getName() + " engine..."); //$NON-NLS-1$
 			
 			try {
 				engine.stop();
@@ -150,7 +150,7 @@
 	 * @return
 	 */
 	public boolean restartEngines() {
-		Log.finest("Restarting the " + this.engines.size() + " engine(s).");
+		Log.finest("Restarting " + this.engines.size() + " engine(s)."); //$NON-NLS-1$
 		return stopEngines() && startEngines(null);
 	}
 	
